/* Sequence */
CREATE SEQUENCE CONFERENCIA_PENDENCIA_SEQ INCREMENT BY 1 MAXVALUE 9999999 MINVALUE 1 CACHE 20;

/* Create */
CREATE TABLE CONFERENCIA_PENDENCIA (
       CONFERENCIAPENDENCIA_ID NUMBER(7) NOT NULL,
       DESCPENDENCIA        VARCHAR2(50) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (CONFERENCIAPENDENCIA_ID)
);

/* Alter table */
ALTER TABLE LOG_CONFERENCIA ADD CONFERENCIAPENDENCIA_ID NUMBER(7) NULL;

ALTER TABLE LOG_CONFERENCIA
ADD CONSTRAINT FK_LOGCONFERENCIA_CONFPEN FOREIGN KEY (CONFERENCIAPENDENCIA_ID)
REFERENCES CONFERENCIA_PENDENCIA (CONFERENCIAPENDENCIA_ID);

/* Insert */
INSERT INTO CONFERENCIA_PENDENCIA VALUES(CONFERENCIA_PENDENCIA_SEQ.NEXTVAL, 'MOVIMENTO SEM BILHETE FISICO', 1, SYSDATE, 1);