declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
	execute immediate 'ALTER TABLE BOLETO ADD (ESTADOCIVIL_ID NUMBER(2))';
	execute immediate 'ALTER TABLE BOLETO ADD CONSTRAINT BOLETO_ESTADOCIVIL_FK FOREIGN KEY (ESTADOCIVIL_ID) 
						REFERENCES ESTADO_CIVIL (ESTADOCIVIL_ID) ENABLE';
	execute immediate 'ALTER TABLE CAJA ADD (ESTADOCIVIL_ID NUMBER(2))';
	execute immediate 'ALTER TABLE CAJA ADD CONSTRAINT CAJA_ESTADOCIVIL_FK FOREIGN KEY (ESTADOCIVIL_ID) 
						REFERENCES ESTADO_CIVIL (ESTADOCIVIL_ID) ENABLE';
    exception when column_exists then null;
end;

