/*
 * Script para padronizao dos nmeros de telefone salvos na tela de cliente.
 */

/* telefone celular:
 * adio do dgito 9
 */


UPDATE CLIENTE SET NUMTELEFONODOS = '(__)_____-____'
WHERE NUMTELEFONODOS IS NULL 
OR NUMTELEFONODOS = '(__)____-____';

/* exemplo: (27) 3019-1643 
         -> (27)93019-1643 */
UPDATE CLIENTE SET NUMTELEFONODOS = (SUBSTR(NUMTELEFONODOS,0,4) || '9' || SUBSTR(NUMTELEFONODOS,6,10))
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID FROM CLIENTE WHERE LENGTH( NUMTELEFONODOS) = 14
AND SUBSTR(NUMTELEFONODOS,0,1) = '(' 
AND SUBSTR(NUMTELEFONODOS,4,1) = ')'
AND NUMTELEFONODOS != '(__)_____-____');

/* exemplo: (77)7777-7777
          ->(77)97777-7777 */
UPDATE CLIENTE SET NUMTELEFONODOS = (SUBSTR(NUMTELEFONODOS,0,4) || '9' | |SUBSTR(NUMTELEFONODOS,5,9))
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID 
FROM CLIENTE WHERE LENGTH( NUMTELEFONODOS) = 13
AND SUBSTR(NUMTELEFONODOS,0,1) = '(' 
AND SUBSTR(NUMTELEFONODOS,4,1) = ')'
AND NUMTELEFONODOS != '(__)____-____');

/* exemplo: (063)9840-49688
          ->(63)98404-9688 */
UPDATE CLIENTE SET NUMTELEFONODOS = ('(' || SUBSTR(NUMTELEFONODOS,3,2) || ')' || SUBSTR(NUMTELEFONODOS,6,4) || SUBSTR(NUMTELEFONODOS,11,1) || '-' || SUBSTR(NUMTELEFONODOS,12,4)  )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONODOS) = 15 
AND SUBSTR(NUMTELEFONODOS,0,1) = '(' 
AND SUBSTR(NUMTELEFONODOS,5,1) = ')');

/*exemplo: (011)1111-1111
         ->(31)91111-1111 */
UPDATE CLIENTE SET NUMTELEFONODOS = ('(' || SUBSTR(NUMTELEFONODOS,3,2) || ')' || 9 || SUBSTR(NUMTELEFONODOS,6,9) )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONODOS) = 14 
AND SUBSTR(NUMTELEFONODOS,0,1) = '(' 
AND SUBSTR(NUMTELEFONODOS,5,1) = ')');

/* telefone fixo:
 *  remoo 3 digito a esquerda DDD, remoo do 9 dgito que deve ser celular 
 *   apenas e correo dos digitos depois do hfen de 5 para 4 */

/*
exemplo: (011)9111-11111
  	   ->(11)91111-1111 */
UPDATE CLIENTE SET NUMTELEFONO = ('(' || SUBSTR(NUMTELEFONO,3,2) || ')' || SUBSTR(NUMTELEFONO,6,4) || SUBSTR(NUMTELEFONO,11,1) || '-' || SUBSTR(NUMTELEFONO,12,4)  )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONO) = 15 
AND SUBSTR(NUMTELEFONO,0,1) = '(' 
AND SUBSTR(NUMTELEFONO,5,1) = ')');

/*
exemplo: (111)1111-1111
 	   ->(11)1111-1111 */
UPDATE CLIENTE SET NUMTELEFONO = ('(' || SUBSTR(NUMTELEFONO,3,2) || ')' || SUBSTR(NUMTELEFONO,7,3) || SUBSTR(NUMTELEFONO,11,1) || '-' || SUBSTR(NUMTELEFONO,12,4) )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONO) = 14 
AND SUBSTR(NUMTELEFONO,0,1) = '(' 
AND SUBSTR(NUMTELEFONO,5,1) = ')');

/*
 * exemplo: (06)1303-64579
 * (06)3036-4579
 */
UPDATE CLIENTE SET NUMTELEFONO = SUBSTR(NUMTELEFONO,0,4) || SUBSTR(NUMTELEFONO,7,3) || SUBSTR(NUMTELEFONO,11,1) || '-' || SUBSTR(NUMTELEFONO,12,4) 
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONO) = 15 
AND SUBSTR(NUMTELEFONO,0,1) = '(' 
AND SUBSTR(NUMTELEFONO,4,1) = ')'
AND SUBSTR(NUMTELEFONO,10,1) = '-');

/*
exemplo: (11)98866-7318
       ->(11)8866-7318
*/

UPDATE CLIENTE SET NUMTELEFONO =  SUBSTR(NUMTELEFONO,0,4) || SUBSTR(NUMTELEFONO,7,4) || '-' || SUBSTR(NUMTELEFONO,12,4) 
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMTELEFONO) = 15 
AND SUBSTR(NUMTELEFONO,0,1) = '(' 
AND SUBSTR(NUMTELEFONO,4,1) = ')'
AND SUBSTR(NUMTELEFONO,11,1) = '-');

/*
 * fax
 */
UPDATE CLIENTE SET NUMFAX = ('(' || SUBSTR(NUMFAX,3,2) || ')' || SUBSTR(NUMFAX,6,4) || SUBSTR(NUMFAX,11,1) || '-' || SUBSTR(NUMFAX,12,4)  )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH(NUMFAX) = 15 
AND SUBSTR(NUMFAX,0,1) = '(' 
AND SUBSTR(NUMFAX,5,1) = ')');

UPDATE CLIENTE SET NUMTELEFONO = ('(' || SUBSTR(NUMFAX,3,2) || ')' || SUBSTR(NUMFAX,7,3) || SUBSTR(NUMFAX,11,1) || '-' || SUBSTR(NUMFAX,12,4) )
WHERE CLIENTE_ID IN(
SELECT CLIENTE_ID
FROM CLIENTE WHERE LENGTH( NUMFAX) = 14 
AND SUBSTR(NUMFAX,0,1) = '(' 
AND SUBSTR(NUMFAX,5,1) = ')');